#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <libpv.h>


int main(int argc, char *argv[])
{
	pv_engine_t		pv_engine;
	pv_engine_attr_t	attr;
	int			err;

	err = pv_engine_attr_init_from_cmdline(&attr, argc, argv);
	if (err)
		exit (EXIT_FAILURE);

	err = pv_init(&pv_engine, &attr);
	if (err) 
		exit (EXIT_FAILURE);

	pv_lock(&pv_engine);
	printf("setting process vars to their default values...\n");
	if (pv_default(&pv_engine, NULL)) {
		printf("failed!\n");
		pv_unlock(&pv_engine);
		exit(EXIT_FAILURE);
	}
	pv_unlock(&pv_engine);

	printf("done.\n");

	pv_destroy(&pv_engine);
	
	exit(EXIT_SUCCESS);
}

